// Проект 9: Управление лазером с джойстика

#include <Servo.h>

Servo xservo;  
Servo yservo;  


//Переменные для серводвигателей
int pos = 0;       
int XServoPin = 9; // Серво для движения по оси Х подключается на пин 9
int YServoPin = 8; // Серво для движения по оси Х подключается на пин 8

//переменные для джойстика
int xposPin = A0; // Пин VRx джойстика подключен к А0
int yposPin = A1; // Пин VRy джойстика подключен к А1
int Xpos = 0;
int Ypos = 0;
int buttonPin = 7; // Кнопка джойстика на пине 7
int buttonPress = 0;

//Переменные для модуля лазера
int lazerPin = 6; // Сигнальный пин лазера на пине 6

void setup() {
  pinMode(lazerPin,OUTPUT); // Определяем пин лазера как выход
  pinMode(buttonPin,INPUT); // Определяем пин кнопки джойстика как вход
  digitalWrite(buttonPin,HIGH);  
  
  xservo.attach(XServoPin);  
  yservo.attach(YServoPin);  
}

void loop() {

  buttonPress = digitalRead(buttonPin); 
  if(buttonPress == LOW) 
  {
    digitalWrite(lazerPin, HIGH); 
  }
  else
  {
    digitalWrite(lazerPin, LOW); 
  }

//сопоставления данных серво и джойстика
  Xpos = analogRead(xposPin);     
  Xpos = map(Xpos,0,1023,0,180);  
  Ypos = analogRead(yposPin);     
  Ypos = map(Ypos,0,1023,0,180);  
  xservo.write(Xpos);             
  yservo.write(Ypos);  
  delay(50);                      
}
